ONVIF::Device::Elements::SetNetworkDefaultGateway(3pm)

NAME
ONVIF::Device::Elements::SetNetworkDefaultGateway

DESCRIPTION
Perl data type class for the XML Schema defined element SetNetworkDefaultGateway from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   IPv4Address

     $element->set_IPv4Address($data);
     $element->get_IPv4Address();

•   IPv6Address

     $element->set_IPv6Address($data);
     $element->get_IPv6Address();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetNetworkDefaultGateway->new($data);

Constructor. The following data structure may be passed to new():

 {
   IPv4Address => $some_value, # IPv4Address
   IPv6Address => $some_value, # IPv6Address
 },

AUTHOR
Generated by SOAP::WSDL